package router

import "github.com/gin-gonic/gin"

func TestRouth(engine *gin.RouterGroup) {
	user := engine.Group("/test")
	{
		user.GET("/get", testGet)
		user.POST("/post", testPost)
		user.PUT("/put", testPut)
		user.DELETE("/delete", testDelete)

	}
}

func testGet(c *gin.Context) {
	c.JSON(200, gin.H{
		"message": "get",
		"code":    200,
		"data":    make(map[string]interface{}),
	})
}
func testPost(c *gin.Context) {
	c.JSON(200, gin.H{
		"message": "post",
		"code":    200,
		"data":    make(map[string]interface{}),
	})
}
func testPut(c *gin.Context) {
	c.JSON(200, gin.H{
		"message": "put",
		"code":    200,
		"data":    make(map[string]interface{}),
	})
}
func testDelete(c *gin.Context) {
	c.JSON(200, gin.H{
		"message": "delete",
		"code":    200,
		"data":    make(map[string]interface{}),
	})
}
